Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.rmi.admin.cfg
Interface RemoteConfigurationLDAPServer

All Superinterfaces:
  java.rmi.Remote

    public interface RemoteConfigurationLDAPServer

extends java.rmi.Remote

This interface define methods to manage LDAP server configuration remotely.

Method Summary
`java.lang.String` | `createRoleMap(java.lang.String filter, java.lang.String roleName)` add a new role map to server.
`boolean` | `editRoleMap(java.lang.String roleMapName, java.lang.String filter, java.lang.String roleName)` Edit a exist role map by it's name
`java.lang.String` | `getAdminGroup()` Return admin group.
`java.util.Vector` | `getAllRoleMaps()` Get all role maps
`void` | `getDefauleSettingValue(java.lang.String oldType)`
`java.lang.String` | `getDirectoryManagerDN()` Return directory of manage Distinguish Name.
`java.lang.String` | `getGroupCommonName()` Return Group Common Name of attribute for LDAP.
`java.lang.String` | `getGroupDescriptions(java.lang.String groupName)` check Group and return the Group Description
`java.lang.String` | `getGroupDistinguishName()` Return group distinguish name of attribute for LDAP.
`java.lang.String` | `getGroupFilter()` Return filter string for LDAP.
`java.lang.String` | `getGroupMemberType()` Return Group Member Type for LDAP.
`java.util.Vector` | `getGroupNames()` check Group and return the Group Name
`java.lang.String` | `getImportGroupType()` Get the LDAP Group importing principal type
`int` | `getLADPServerPort()` Return LDAP server port.
`java.lang.String` | `getLDAPURL()` Return LDAP URL.
`java.lang.String` | `getLDAPVersion()` Return LDAP Version Number.
`java.lang.String` | `getPassword()` Return Password for LDAP.
`java.util.Hashtable` | `getProperties()`
`java.lang.String` | `getRoot()` Return LDAP root.
`java.util.Vector` | `getRootUsers()` Return root users .
`java.lang.String` | `getUserAttributeName()` Return userID name of attribute for LDAP.
`java.lang.String` | `getUserCommonName()` Return user common name of attribute for LDAP.
`java.lang.String` | `getUserDistinguishName()` Return user distinguish name of attribute for LDAP.
`java.lang.String` | `getUserFilter()` Return filter string for LDAP.
`java.lang.String` | `getUserFullNames(java.lang.String name)` Return the user Fullname
`java.util.Vector` | `getUserNames()` Return the user information
`java.lang.String` | `getUserPassword()` Return user password name of attribute for LDAP.
`java.lang.String[]` | `getUseServerList()` Return list for server method name.
`boolean` | `isConnection()` Return check if coonect with LDAP server.
`boolean` | `isConnection(java.util.Hashtable props)` Return check if coonect with LDAP server.
`boolean` | `isEnableNoneImportedLDAPSupport()` Check the server security system uses the LDAP providers or not
`boolean` | `isEncryptionInLayer()` Return whether use secure sockets layer in TCP/IP when server communicate with LDAP server
`boolean` | `isImportUserUponAuthentication()` return if user authentication.
`boolean` | `isLdapEnable()` Return if LDAP enable.
`java.util.Vector` | `queryGroups(java.util.Hashtable h)` Get the LDAP groups
`java.util.Vector` | `queryUsers(java.util.Hashtable h)` Get the LDAP users
`boolean` | `removeRoleMap(java.lang.String roleMapName)` Remove a role map from the server
`void` | `saveProperties()` Save all properties of LDAP setting into file.
`void` | `setAdminGroup(java.lang.String adminGroup)` Set admin group.
`void` | `setDirectoryManagerDN(java.lang.String directoryManagerDN)` Set directory of manage Distinguish Name.
`void` | `setEnableLDAPProviders(boolean isEnableLDAPProvers)` Set if the server security system uses the LDAP providers
`void` | `setEncryptionInLayer(boolean isEncrytion)` Set whether use secure sockets layer in TCP/IP when server communicate with LDAP server
`void` | `setGroupCommonName(java.lang.String groupCommonName)` Set Group Common Name of attribute for LDAP.
`void` | `setGroupDistinguishName(java.lang.String distinguishName)` Set group distinguish name of attribute for LDAP.
`void` | `setGroupFilter(java.lang.String filter)` Set filter string for LDAP.
`void` | `setGroupMemberType(java.lang.String groupMemberType)` Set Group Member Type for LDAP.
`void` | `setImportGroupType(java.lang.String type)` Set import LDAP group into server's role or group
`void` | `setImportUserUponAuthentication(boolean isImport)` Set Import upon Authentication
`void` | `setLADPServerPort(int LDAPPort)` Set LDAP server port.
`void` | `setLdapEnable(boolean isEnable)` Set if LDAP enable.
`void` | `setLDAPURL(java.lang.String LDAPUrl)` Set LDAP URL.
`void` | `setLDAPVersion(java.lang.String LDAPVersion)` Set LDAP Version Number.
`void` | `setPassword(java.lang.String password)` Set Password for LDAP.
`void` | `setRoot(java.lang.String root)` Set LDAP root.
`void` | `setUserAttributeName(java.lang.String userAttributeName)` Set userID name of attribute for LDAP.
`void` | `setUserCommonName(java.lang.String userCommonName)` Set user common name of attribute for LDAP.
`void` | `setUserDistinguishName(java.lang.String distinguishName)` Set user distinguish name of attribute for LDAP.
`void` | `setUserFilter(java.lang.String filter)` Set filter string for LDAP.
`void` | `setUserPassword(java.lang.String password)` Set user password name of attribute for LDAP.

Method Detail

### setLdapEnable

    void setLdapEnable(boolean isEnable)
                       throws java.rmi.RemoteException

  Set if LDAP enable.

  Parameters:
    `isEnable` - if LDAP enable .
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### isLdapEnable

    boolean isLdapEnable()
                         throws java.rmi.RemoteException

  Return if LDAP enable.

  Returns:
    ture if LDAP enable , otherwise return false.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setImportUserUponAuthentication

    void setImportUserUponAuthentication(boolean isImport)
                                         throws java.rmi.RemoteException

  Set Import upon Authentication

  Parameters:
    `isImport` - if import user upon authentication enable.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### isImportUserUponAuthentication

    boolean isImportUserUponAuthentication()
                                           throws java.rmi.RemoteException

  return if user authentication.

  Returns:
    true if User Authentication enable , otherwise return false.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getLDAPVersion

    java.lang.String getLDAPVersion()
                                    throws java.rmi.RemoteException

  Return LDAP Version Number.

  Returns:
    2 indicates using LDAPv2, otherwise support LDAPv3.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setLDAPVersion

    void setLDAPVersion(java.lang.String LDAPVersion)
                        throws java.rmi.RemoteException

  Set LDAP Version Number.

  Parameters:
    `LDAPVersion` - it has two available vlues 2 and 3.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setLDAPURL

    void setLDAPURL(java.lang.String LDAPUrl)
                    throws java.rmi.RemoteException

  Set LDAP URL.

  Parameters:
    `LDAPUrl` - LDAP URL.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getLDAPURL

    java.lang.String getLDAPURL()
                                throws java.rmi.RemoteException

  Return LDAP URL.

  Returns:
    LDAP URL.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setLADPServerPort

    void setLADPServerPort(int LDAPPort)
                           throws java.rmi.RemoteException

  Set LDAP server port.

  Parameters:
    `LDAPPort` - LDAP server port.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getLADPServerPort

    int getLADPServerPort()
                          throws java.rmi.RemoteException

  Return LDAP server port.

  Returns:
    LDAP server port.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setRoot

    void setRoot(java.lang.String root)
                 throws java.rmi.RemoteException

  Set LDAP root.

  Parameters:
    `root` - LDAP root.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getRoot

    java.lang.String getRoot()
                             throws java.rmi.RemoteException

  Return LDAP root.

  Returns:
    LDAP root.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setDirectoryManagerDN

    void setDirectoryManagerDN(java.lang.String directoryManagerDN)
                               throws java.rmi.RemoteException

  Set directory of manage Distinguish Name.

  Parameters:
    `directoryManagerDN` - directory of manage Distinguish Name.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getDirectoryManagerDN

    java.lang.String getDirectoryManagerDN()
                                           throws java.rmi.RemoteException

  Return directory of manage Distinguish Name.

  Returns:
    directory of manage Distinguish Name.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setPassword

    void setPassword(java.lang.String password)
                     throws java.rmi.RemoteException

  Set Password for LDAP.

  Parameters:
    `password` - Password for LDAP.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getPassword

    java.lang.String getPassword()
                                 throws java.rmi.RemoteException

  Return Password for LDAP.

  Returns:
    Password for LDAP.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setEncryptionInLayer

    void setEncryptionInLayer(boolean isEncrytion)
                              throws java.rmi.RemoteException

  Set whether use secure sockets layer in TCP/IP when server communicate with LDAP server

  Parameters:
    `isEncrytion` - if will use SSL set true, otherwise set false
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### isEncryptionInLayer

    boolean isEncryptionInLayer()
                                throws java.rmi.RemoteException

  Return whether use secure sockets layer in TCP/IP when server communicate with LDAP server

  Returns:
    if use SSL return true, otherwise return false
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setImportGroupType

    void setImportGroupType(java.lang.String type)
                            throws java.rmi.RemoteException

  Set import LDAP group into server's role or group

  Parameters:
    `type` - role or group
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getImportGroupType

    java.lang.String getImportGroupType()
                                        throws java.rmi.RemoteException

  Get the LDAP Group importing principal type

  Returns:
    role or group
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getUseServerList

    java.lang.String[] getUseServerList()
                                        throws java.rmi.RemoteException

  Return list for server method name.

  Returns:
    string array for server method name.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### isConnection

    boolean isConnection()
                         throws java.rmi.RemoteException

  Return check if coonect with LDAP server.

  Returns:
    true if coonect with LDAP server.
  Throws:
    `java.rmi.RemoteException`

### isConnection

    boolean isConnection(java.util.Hashtable props)
                         throws java.rmi.RemoteException

  Return check if coonect with LDAP server.

  Returns:
    true if coonect with LDAP server.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getRootUsers

    java.util.Vector getRootUsers()
                                  throws java.rmi.RemoteException

  Return root users .

  Returns:
    vector which object is root user.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setGroupCommonName

    void setGroupCommonName(java.lang.String groupCommonName)
                            throws java.rmi.RemoteException

  Set Group Common Name of attribute for LDAP.

  Parameters:
    `groupCommonName` - Common Name of attribute for LDAP.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getGroupCommonName

    java.lang.String getGroupCommonName()
                                        throws java.rmi.RemoteException

  Return Group Common Name of attribute for LDAP.

  Returns:
    Group Common Name of attribute for LDAP.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setGroupMemberType

    void setGroupMemberType(java.lang.String groupMemberType)
                            throws java.rmi.RemoteException

  Set Group Member Type for LDAP.

  Parameters:
    `groupMemberType` - Member Type for LDAP.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getGroupMemberType

    java.lang.String getGroupMemberType()
                                        throws java.rmi.RemoteException

  Return Group Member Type for LDAP.

  Returns:
    Group Member Type for LDAP.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setGroupDistinguishName

    void setGroupDistinguishName(java.lang.String distinguishName)
                                 throws java.rmi.RemoteException

  Set group distinguish name of attribute for LDAP. this distinguish name is distinguish user and group.

  Parameters:
    `distinguishName` - group distinguish name of attribute for LDAP.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getGroupDistinguishName

    java.lang.String getGroupDistinguishName()
                                             throws java.rmi.RemoteException

  Return group distinguish name of attribute for LDAP. this distinguish name is distinguish user and group.

  Returns:
    group distinguish name of attribute for LDAP.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setGroupFilter

    void setGroupFilter(java.lang.String filter)
                        throws java.rmi.RemoteException

  Set filter string for LDAP.

  Parameters:
    `filter` - filter string for LDAP.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getGroupFilter

    java.lang.String getGroupFilter()
                                    throws java.rmi.RemoteException

  Return filter string for LDAP.

  Returns:
    filter string for LDAP.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setAdminGroup

    void setAdminGroup(java.lang.String adminGroup)
                       throws java.rmi.RemoteException

  Set admin group.

  Parameters:
    `adminGroup` - admin group.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getAdminGroup

    java.lang.String getAdminGroup()
                                   throws java.rmi.RemoteException

  Return admin group.

  Returns:
    admin group.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getGroupNames

    java.util.Vector getGroupNames()
                                   throws java.rmi.RemoteException

  check Group and return the Group Name

  Returns:
    vector which put Group names
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### queryGroups

    java.util.Vector queryGroups(java.util.Hashtable h)
                                 throws java.rmi.RemoteException

  Get the LDAP groups

  Parameters:
    `h` - the LDAP configration
  Returns:
    the LDAP groups set
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getGroupDescriptions

    java.lang.String getGroupDescriptions(java.lang.String groupName)
                                          throws java.rmi.RemoteException

  check Group and return the Group Description

  Returns:
    String which is Group Descriptions.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setUserAttributeName

    void setUserAttributeName(java.lang.String userAttributeName)
                              throws java.rmi.RemoteException

  Set userID name of attribute for LDAP.

  Parameters:
    `userAttributeName` - userID name of attribute for LDAP.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getUserAttributeName

    java.lang.String getUserAttributeName()
                                          throws java.rmi.RemoteException

  Return userID name of attribute for LDAP.

  Returns:
    userID name of attribute for LDAP.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setUserCommonName

    void setUserCommonName(java.lang.String userCommonName)
                           throws java.rmi.RemoteException

  Set user common name of attribute for LDAP.

  Parameters:
    `userCommonName` - user common name of attribute for LDAP.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getUserCommonName

    java.lang.String getUserCommonName()
                                       throws java.rmi.RemoteException

  Return user common name of attribute for LDAP.

  Returns:
    user common name of attribute for LDAP.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setUserPassword

    void setUserPassword(java.lang.String password)
                         throws java.rmi.RemoteException

  Set user password name of attribute for LDAP.

  Parameters:
    `password` - user password name of attribute for LDAP.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getUserPassword

    java.lang.String getUserPassword()
                                     throws java.rmi.RemoteException

  Return user password name of attribute for LDAP.

  Returns:
    user password name of attribute for LDAP.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setUserDistinguishName

    void setUserDistinguishName(java.lang.String distinguishName)
                                throws java.rmi.RemoteException

  Set user distinguish name of attribute for LDAP. this distinguish name is distinguish user and group.

  Parameters:
    `distinguishName` - user distinguish name of attribute for LDAP.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getUserDistinguishName

    java.lang.String getUserDistinguishName()
                                            throws java.rmi.RemoteException

  Return user distinguish name of attribute for LDAP. this distinguish name is distinguish user and group.

  Returns:
    user distinguish name of attribute for LDAP.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setUserFilter

    void setUserFilter(java.lang.String filter)
                       throws java.rmi.RemoteException

  Set filter string for LDAP.

  Parameters:
    `filter` - filter string for LDAP.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getUserFilter

    java.lang.String getUserFilter()
                                   throws java.rmi.RemoteException

  Return filter string for LDAP.

  Returns:
    filter string for LDAP.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getUserNames

    java.util.Vector getUserNames()
                                  throws java.rmi.RemoteException

  Return the user information

  Returns:
    Vector which put users name
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### queryUsers

    java.util.Vector queryUsers(java.util.Hashtable h)
                                throws java.rmi.RemoteException

  Get the LDAP users

  Parameters:
    `h` - the LDAP configration
  Returns:
    the LDAP users set
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getUserFullNames

    java.lang.String getUserFullNames(java.lang.String name)
                                      throws java.rmi.RemoteException

  Return the user Fullname

  Returns:
    String users full name
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getDefauleSettingValue

    void getDefauleSettingValue(java.lang.String oldType)
                                throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### getProperties

    java.util.Hashtable getProperties()
                                      throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### saveProperties

    void saveProperties()
                        throws java.rmi.RemoteException

  Save all properties of LDAP setting into file.

  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### createRoleMap

    java.lang.String createRoleMap(java.lang.String filter,
                                   java.lang.String roleName)
                                   throws RoleMapExistException,
                                          java.rmi.RemoteException

  add a new role map to server.

  Parameters:
    `filter` - the role map's LDAP search filter string
    `roleName` - the role map's binding role name
  Returns:
    if add successful return the role map name, otherwise return null
  Throws:
    ``
    `RoleMapExistException` - if have this role map
    `java.rmi.RemoteException` - will be thrown if error occurs.

### removeRoleMap

    boolean removeRoleMap(java.lang.String roleMapName)
                          throws NoSuchRoleMapException,
                                 java.rmi.RemoteException

  Remove a role map from the server

  Parameters:
    `roleMapName` - the role map's server
  Returns:
    if add successful return null, else return error message
  Throws:
    `NoSuchRoleMapException` - if have not this role map
    `java.rmi.RemoteException` - will be thrown if error occurs.

### editRoleMap

    boolean editRoleMap(java.lang.String roleMapName,
                        java.lang.String filter,
                        java.lang.String roleName)
                        throws NoSuchRoleMapException,
                               java.rmi.RemoteException

  Edit a exist role map by it's name

  Parameters:
    `roleMapName` - the role map's name
    `filter` - the role map's new filter
    `roleName` - the role map's new binding role name
  Returns:
    if eidt successful return null, else return error message
  Throws:
    `NoSuchRoleMapException` - if have not this role map
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getAllRoleMaps

    java.util.Vector getAllRoleMaps()
                                    throws java.rmi.RemoteException

  Get all role maps

  Returns:
    a vector that contain all role maps
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### isEnableNoneImportedLDAPSupport

    boolean isEnableNoneImportedLDAPSupport()
                                            throws java.rmi.RemoteException

  Check the server security system uses the LDAP providers or not

  Returns:
    if using the LDAP providers return true, otherwise return false
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setEnableLDAPProviders

    void setEnableLDAPProviders(boolean isEnableLDAPProvers)
                                throws java.rmi.RemoteException

  Set if the server security system uses the LDAP providers

  Parameters:
    `isEnableLDAPProvers` - if the server security system uses the LDAP providers
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD